## afni 0.20110610~dfsg.1

=== niml/Makefile ===
# Unix Makefile for niml functions

.c.o:
	$(CC) -c $<

NIML_OBJS = niml_b64.o       niml_element.o niml_elemio.o niml_registry.o niml_util.o \
            niml_byteorder.o niml_header.o  niml_malloc.o niml_rowtype.o  niml_uuid.o  \
            niml_do.o        niml_htable.o  niml_md5.o    niml_url.o      niml_stream.o \
            niml_struct.o    niml_dataset.o niml_vector.o niml_stat.o     niml_dtable.o  \
            niml_sucker.o

all:$(NIML_OBJS)

clean:
	$(RM) *.o

=== SUMA/PLY/Makefile ===
clean:
	$(RM) *.o *.a
   
libply.a: 
	$(CC) ${CCOPT} ${WARNOPT} -I./ -c plyfile.c
	ar q $@ plyfile.o
	$(RANLIB) $@
   
plytest: 
	cc -I./ -o plytest plytest.c libply.a

=== debian/changelog ===
afni (0.20110610~dfsg.1-1~nd10.04+1) lucid; urgency=low

  * Backported for lucid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 22 Jun 2011 17:18:04 -0400

afni (0.20110610~dfsg.1-1) UNRELEASED; urgency=low

  [ Alex Waite ]
  * New upstream code. Updated CMake build system.

  [ Michael Hanke ]
  * Upstream introduced circular dependencies between the internal libraries,
    hence linking is now done with --allow-shlib-undefined.
  * Added get-orig-source target to debian/rules.

 -- Michael Hanke <mih@debian.org>  Wed, 22 Jun 2011 15:21:32 -0400

afni (0.20101222~dfsg.1-3) UNRELEASED; urgency=low

  * Added patch to let @FindAfniDsetPath also search AFNI_TTATLAS_DATASET -- a
    configuration setting that is supported by thd_ttatlas_query.c and used by
    the Debian setup. Thanks to Alex Waite for the bug report.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Jan 2011 12:46:45 -0500

afni (0.20101222~dfsg.1-2) UNRELEASED; urgency=low

  * Install @RetinoProc which has been left-out accidentally.
  * Bugfix of @RetinoProc to work with Debian's 3dSkullStrip.
  * Install AFNI's Matlab library.
  * Added 'r-base' as a suggested dependency.
  * Added 'python' as a recommended dependency.

 -- Michael Hanke <mih@debian.org>  Wed, 05 Jan 2011 13:55:16 -0500

afni (0.20101222~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code. Adds tools: niccc, 3dkmeans, 3dRankizer, 3dXYZcat. Adds
    scripts: @ElectroGrid, ExamineXmat, 1dRplot, @2dwarper.Allin, @help.AFNI.
    Adds plugin: plug_aslA3D3.
  * Updated CMake patch.
  * Merged some small portion of the shared libarary related patches with
    upstream.
  * Make afni_wrapper more robust. Thanks to Alex Waite for the patch.

 -- Michael Hanke <mih@debian.org>  Thu, 23 Dec 2010 11:34:20 -0500

afni (0.20101018~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code. Added 3dDTtoDWI tool.
  * Switch build-dependency from lesstif2 to openmotif. Because openmotif is
    non-free AFNI is now a 'contrib' package. This move was necessary,
    because AFNI doesn't play nicely with lesstif (segfaults). Upstream
    doesn't want to support lesstif, because it is currently unmaintained.
  * Added build-dependency x11proto-print-dev to ease backporting to Debian
    lenny.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 19 Oct 2010 15:25:53 -0400

afni (0.20101001~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code.
  * Update CMake patch to install new 1dSVAR.R.
  * Load AFNI atlases in addition to the AFNI_GLOBAL_SESSION.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 03 Oct 2010 10:51:03 -0400

afni (0.20100928~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code.
  * Update CMake patch to install lib_textdata.py that was missing before.
  * Added netpbm as a recommended package.
  * Added patch to set Debian-specific locations for faces, poems and atlases.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 29 Sep 2010 15:26:27 -0400

afni (0.20100917~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code, and updated CMAKE setup.
  * Switched to source package format 3.0 (quilt) and from CDBS to debhelper's
    "dh".

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 21 Sep 2010 11:51:13 -0400

afni (0.20100114~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code, and updated CMAKE setup.
  * Updated copyright file -- still incomplete.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 17 Jan 2010 13:27:49 -0500

afni (0.20091204~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code.
  * Major bugfix caused by multiple, but different, versions of f2c.h --
    causing int to be int32 or int64 for different parts of AFNI, at the same
    time.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 07 Dec 2009 20:47:56 -0500

afni (0.20091028~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code.
  * Add patch to allow AFNI to use ffmpeg instead of the stripped mpeg_encode.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 29 Oct 2009 14:29:18 -0400

afni (0.20091023~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code.
  * New CMake buildsystem based on an initial patch by Bernd Feige.
  * New afni-dev package with static libraries and header files for
    AFNI plugin development.
  * Add wrapper to start AFNI's without GUI without having to manually source
    the config file.
  * Add afni.desktop and afni.menu for desktop integration.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 27 Oct 2009 09:42:40 -0400

afni (0.20091009~dfsg.1-1) UNRELEASED; urgency=low

  * Initial release (Closes: #409849).

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 18 Oct 2009 20:43:08 -0400

=== debian/control ===
Source: afni
Section: contrib/science
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: cmake (>= 2.6.4), debhelper (>= 7.0.50~), libnifti1-dev | libnifti-dev, libvolpack1-dev | libvolpack-dev, libglw1-mesa-dev | libglw-dev, libgts-dev, libjpeg62-dev | libjpeg-dev, libqhull-dev, libnetcdf-dev, freeglut3-dev | freeglut-dev, libgl1-mesa-dev | libgl-dev, libexpat1-dev | libexpat-dev, libf2c2-dev, zlib1g-dev, libmotif-dev, libxmu-dev, libxpm-dev, libgsl0-dev, libxi-dev, libgiftiio-dev, chrpath, x11proto-print-dev, matlab-support-dev
Standards-Version: 3.9.1
Homepage: http://afni.nimh.nih.gov
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/afni.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/afni.git
XS-DM-Upload-Allowed: yes


Package: afni
Architecture: any
Depends: neurodebian-popularity-contest, afni-common (= ${source:Version}), tcsh, gifsicle, libjpeg-progs, ${shlibs:Depends}, ${misc:Depends}
Recommends: nifti-bin, bzip2, ffmpeg, netpbm, python
Suggests: r-base
Description: toolkit for analyzing and visualizing functional MRI data
 AFNI is an environment for processing and displaying functional MRI data.
 It provides a complete analysis toolchain, including 3D cortical surface
 models, and mapping of volumetric data (SUMA).
 .
 In addition to its own format AFNI understands the NIfTI format and is
 therefore easily usable in combination with FSL and Freesurfer.


Package: afni-common
Architecture: all
Depends: neurodebian-popularity-contest, python, tcsh, ${shlibs:Depends}, ${misc:Depends}
Description: miscellaneous scripts and data files for AFNI
 This package provides the required architecture independent parts of AFNI.


Package: afni-dev
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: header and static libraries for AFNI plugin development
 AFNI is an environment for processing and displaying functional MRI data.
 It provides a complete analysis toolchain, including 3D cortical surface
 models, and mapping of volumetric data (SUMA).
 .
 This package provides the necessary libraries and header files for AFNI
 plugin development.

=== debian/rules ===
#!/usr/bin/make -f

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )
# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit by parsing its commit message
gitver = $(shell [ -x /usr/bin/git ] && git log -n 1 --oneline $$(git merge-base -a HEAD upstream) | cut -d ' ' -f '4,4')

# get install locations for matlab packages
include /usr/share/matlab/debian/defs.make

# TODO plugins do not handle this well
LDFLAGS = -Wl,--allow-shlib-undefined
export LDFLAGS

# need to do it after inclusion of cmake class to get the flag
# appended after -Wall
CFLAGS += -Wno-unused
export CFLAGS

# what are we doing this for
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
# where to perform the general build
DEB_BUILDDIR = "build-$(DEB_BUILD_GNU_TYPE)"
# where to build the static corelibs
DEB_BUILDDIR_STATIC = "build-$(DEB_BUILD_GNU_TYPE)-static"

DEB_CMAKE_EXTRA_FLAGS = \
    -DAFNI_SHOWOFF:STRING="=Debian-$(DEB_BUILD_GNU_TYPE)" \
    -DBUILD_WITH_INSTALL_RPATH:BOOL=ON \
    -DCMAKE_SKIP_RPATH:BOOL=OFF \
    -DCMAKE_INSTALL_RPATH:STRING="/usr/lib/afni/lib" \
    -DCMAKE_EXE_LINKER_FLAGS:STRING="$(LDFLAGS)" \
    -DCMAKE_MODULE_LINKER_FLAGS:STRING="$(LDFLAGS)" \
    -DCMAKE_SHARED_LINKER_FLAGS:STRING="$(LDFLAGS)" \
    -DAFNI_BUILD_LOCAL_NIFTICLIBS:BOOL=OFF \
    -DAFNI_BUILD_LOCAL_GIFTI:BOOL=OFF \
    -DAFNI_BUILD_LOCAL_3DEDGE3:BOOL=OFF \
    -DAFNI_BUILD_WITH_LESSTIF2:BOOL=ON \
    -DAFNI_INSTALL_BIN_DIR:STRING=/lib/afni/bin \
    -DAFNI_INSTALL_LIB_DIR:STRING=/lib/afni/lib \
    -DAFNI_INSTALL_INCLUDE_DIR:STRING=/include/afni \
    -DAFNI_INSTALL_PLUGIN_DIR:STRING=/lib/afni/plugins \
    -DAFNI_INSTALL_SCRIPT_DIR:STRING=/share/afni/scripts \
    -DAFNI_INSTALL_PICS_DIR:STRING=/share/afni/pics \
    -DAFNI_INSTALL_POEMS_DIR:STRING=/share/afni/poems

# one ring to rule them all ...
%:
	dh $@ --buildsystem=cmake


override_dh_auto_configure:
	# check whether something changed in the matlab install locations
	# in which case we'd have to adjust debhelper's .install files
	# content
	[ "$(MATLAB_MDIR)" = "/usr/share/matlab/site/m" ]
	dh_auto_configure --builddirectory=$(DEB_BUILDDIR) -- \
      $(DEB_CMAKE_EXTRA_FLAGS) \
      -DBUILD_SHARED_LIBS:BOOL=ON \
      -DAFNI_BUILD_CORELIBS_ONLY:BOOL=OFF
	dh_auto_configure --builddirectory=$(DEB_BUILDDIR_STATIC) -- \
      $(DEB_CMAKE_EXTRA_FLAGS) \
      -DBUILD_SHARED_LIBS:BOOL=OFF \
      -DAFNI_BUILD_CORELIBS_ONLY:BOOL=ON


override_dh_auto_build:
	dh_auto_build --builddirectory=$(DEB_BUILDDIR)
	dh_auto_build --builddirectory=$(DEB_BUILDDIR_STATIC)


override_dh_auto_install:
	dh_auto_install --builddirectory=$(DEB_BUILDDIR)
	dh_auto_install --builddirectory=$(DEB_BUILDDIR_STATIC) -- \
	  DESTDIR=$(CURDIR)/debian/tmp/static 
	# fix tcsh interpreter location
	for f in $$(egrep -lR '^#![ ]*/bin/tcsh' debian/tmp); do \
		echo "Fixing tcsh interpreter location in '$$f'" ; \
		sed -i -e 's|^#![ ]*/bin/tcsh|#!/usr/bin/tcsh|' $$f ; \
	done
	# for some reason 3dSetupGroupInCorr gets destroyed during install
	# need to redo and fix rpath manually
	cp $(DEB_BUILDDIR)/3dSetupGroupInCorr debian/tmp/lib/afni/bin/
	chrpath -r /usr/lib/afni/lib debian/tmp/lib/afni/bin/3dSetupGroupInCorr
	# matlab stuff -- fix permission
	install -d debian/tmp/matlab
	install -m 644 -t debian/tmp/matlab matlab/*


override_dh_auto_clean:
	dh_auto_clean --builddirectory=$(DEB_BUILDDIR)
	dh_auto_clean --builddirectory=$(DEB_BUILDDIR_STATIC)
	# ensure proper permissions for the wrapper
	chmod +x debian/afni_wrapper


# make orig tarball from repository content
get-orig-source:
	-quilt pop -a
	@echo "Testing for uncommited changes"
	@git diff --quiet HEAD
	# orig tarball, turn directory into something nicer
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz

## afni 0.20121123~dfsg.1

=== debian/changelog ===
afni (0.20121123~dfsg.1-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 01 Dec 2012 02:36:36 -0500

afni (0.20121123~dfsg.1-1) neurodebian; urgency=low

  [ Michael Hanke, Yaroslav Halchenko ]
  * New upstream code. Updated CMake build system:
    - 3dedge library is now GPL-ed, thus not stripped
    - New scripts: meica.py (requires nibabel and MDP, now Recommended)
  * Built with OpenMP support (libgomp1 dependency added)
  * New patches: up_pragma_var_definition, up_glut_init,
    up_meica_tedana_upstream_mdp_api, up_meica_fixes, up_secure_sprintf
  * Enabled hardening (where applicable)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 28 Nov 2012 14:59:31 -0500

afni (0.20120420~dfsg.1-1) UNRELEASED; urgency=low

  [ Alex Waite]
  * New upstream code; updated CMake. Adds 3dCountSpikes, 3dNwarpCalc,
    @Quiet_Talkers and @radial_correlate
  * Upstream: New R scripts: 1dRplot.R and 3dICC_REML.R
  * Upstream: New Python scripts: gen_group_command.py,
    gen_ss_review_scripts.py, make_pq_script.py, slow_surf_clustsim.py,
    uber_align_test.py, uber_proc.py, uber_skel.py, uber_subject.py
    and uber_ttest.py
  * Upstream: Major improvements to 3dSurfMask for mask creation and
    voxel distance computations.  See examples under 3dSurfMask -help.
  * Upstream: You can have multiple instances of programs talk to eachother.
  * Upstream: Generic Atlas Support and new atlases.  Cytoarchitectonic
    atlases from Zilles, Eickhoff updated to 1.8.  Three new probabilistic
    atlases from the Desai group.
  * Upstream: New AFNI tips system has better formatting and includes images.
  * Upstream: afni_proc.py now processes surface data.
  * Fixed missing qhull dependency for 3dSkullStrip

  [ Michael Hanke ]
  * Added build-dependency on xmhtml1-dev for "new" tooltip system.

  [ Alex Waite ]
  * New upstream code. Updated CMake build system.
  * Upstream: New I/O library for R uses AFNI's c library.
  * Upstream: Web-based access atlases available. Able to query web atlases
    from whereami and open webpages.
  * Upstream new programs: dicom_hinfo, apsearch, quick.alpha.vals.py, 3dLSS,
    @AfniEnv, @Atlasize, 1dBport, SurfExtrema, 3dinfill, 3dNormalityTest,
    3dTnorm
  * Upstream: Many bug fixes and overall code cleanup.
  * Now build and ship libSUMAGTS.so

 -- Alex Waite <alexqw85@gmail.com>  Wed, 25 Apr 2012 18:58:59 +0200

=== debian/control ===
Source: afni
Section: contrib/science
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>,
           Alex Waite <Alexqw85@gmail.com>
Build-Depends: cmake (>= 2.6.4), debhelper (>= 7.0.50~),
               libnifti1-dev | libnifti-dev,
               libvolpack1-dev | libvolpack-dev,
               libglw1-mesa-dev | libglw-dev,
               libgts-dev,
               libjpeg62-dev | libjpeg-dev,
               libqhull-dev,
               libnetcdf-dev,
               freeglut3-dev | freeglut-dev,
               libgl1-mesa-dev | libgl-dev,
               libexpat1-dev | libexpat-dev,
               libf2c2-dev,
               zlib1g-dev,
               libmotif-dev,
               libxmu-dev,
               libxpm-dev,
               libgsl0-dev,
               libxi-dev,
               libgiftiio-dev,
               libgomp1,
               chrpath,
               x11proto-print-dev,
               matlab-support-dev,
               xmhtml1-dev | xmhtml-dev,
               r-base-core
Standards-Version: 3.9.4
Homepage: http://afni.nimh.nih.gov
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/afni.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/afni.git

Package: afni
Architecture: any
Depends: neurodebian-popularity-contest, afni-common (= ${source:Version}),
         tcsh, gifsicle, libjpeg-progs,
         ${shlibs:Depends}, ${misc:Depends}
Recommends: nifti-bin,
            bzip2, ffmpeg, netpbm, qhull-bin,
Suggests: r-base
Description: toolkit for analyzing and visualizing functional MRI data
 AFNI is an environment for processing and displaying functional MRI data.
 It provides a complete analysis toolchain, including 3D cortical surface
 models, and mapping of volumetric data (SUMA).
 .
 In addition to its own format AFNI understands the NIfTI format and is
 therefore easily usable in combination with FSL and FreeSurfer.


Package: afni-common
Architecture: all
Depends: neurodebian-popularity-contest, python, tcsh,
         ${shlibs:Depends}, ${misc:Depends}
Recommends: python-mdp, python-nibabel
Description: miscellaneous scripts and data files for AFNI
 AFNI is an environment for processing and displaying functional MRI data.
 It provides a complete analysis toolchain, including 3D cortical surface
 models, and mapping of volumetric data (SUMA).
 .
 This package provides the required architecture independent parts of AFNI.


Package: afni-dev
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: header and static libraries for AFNI plugin development
 AFNI is an environment for processing and displaying functional MRI data.
 It provides a complete analysis toolchain, including 3D cortical surface
 models, and mapping of volumetric data (SUMA).
 .
 This package provides the necessary libraries and header files for AFNI
 plugin development.

=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,19 @@
 # then described this commit by parsing its commit message
 gitver = $(shell [ -x /usr/bin/git ] && git log -n 1 --oneline $$(git merge-base -a HEAD upstream) | cut -d ' ' -f '4,4')
 
+# Enable hardening on systems which support it
+export DEB_BUILD_HARDENING=1
+
 # get install locations for matlab packages
 include /usr/share/matlab/debian/defs.make
 
 # TODO plugins do not handle this well
-LDFLAGS = -Wl,--allow-shlib-undefined
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--allow-shlib-undefined
 export LDFLAGS
 
 # need to do it after inclusion of cmake class to get the flag
 # appended after -Wall
-CFLAGS += -Wno-unused
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wno-unused
 export CFLAGS
 
 # what are we doing this for
@@ -36,7 +39,7 @@
     -DCMAKE_SHARED_LINKER_FLAGS:STRING="$(LDFLAGS)" \
     -DAFNI_BUILD_LOCAL_NIFTICLIBS:BOOL=OFF \
     -DAFNI_BUILD_LOCAL_GIFTI:BOOL=OFF \
-    -DAFNI_BUILD_LOCAL_3DEDGE3:BOOL=OFF \
+    -DAFNI_BUILD_LOCAL_3DEDGE3:BOOL=ON \
     -DAFNI_BUILD_WITH_LESSTIF2:BOOL=ON \
     -DAFNI_INSTALL_BIN_DIR:STRING=/lib/afni/bin \
     -DAFNI_INSTALL_LIB_DIR:STRING=/lib/afni/lib \
@@ -44,7 +47,9 @@
     -DAFNI_INSTALL_PLUGIN_DIR:STRING=/lib/afni/plugins \
     -DAFNI_INSTALL_SCRIPT_DIR:STRING=/share/afni/scripts \
     -DAFNI_INSTALL_PICS_DIR:STRING=/share/afni/pics \
-    -DAFNI_INSTALL_POEMS_DIR:STRING=/share/afni/poems
+    -DAFNI_INSTALL_POEMS_DIR:STRING=/share/afni/poems \
+    -DAFNI_INSTALL_HTML_DIR:STRING=/share/afni/html \
+    -DAFNI_INSTALL_ATLAS_DIR:STRING=/share/afni/atlases
 
 # one ring to rule them all ...
 %:
@@ -104,3 +109,23 @@
 	# orig tarball, turn directory into something nicer
 	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
 		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz
+
+# Helper target to compare listing of installed afni against binary
+# upstream distribution.
+#
+# Ignore those missing which known to belong to externals, or built
+# under different names (e.g. R_io.so -> librio.so)
+test-missing:
+	@cat ../linux_openmp_64.filelist \
+    | grep -v -e README -e '\.a$$' -e 'meica\.libs' -e 'index.html.2012' \
+      -e '^\./\(demo.*\.niml\.do\|qhull\|rbox\|qdelaunay\|[cd]jpeg\|nifti1_test\|nifti_\(tool\|stats\)\|gifti_tool\|mpeg_encode\)$$' \
+      -e '^\./\(plug_3dsvm.so\|3dsvm\)$$' \
+      -e '^\./volpack\.h$$' -e 'AFNI\.....rc' \
+      -e '^\./R_io.so$$' \
+    | while read f; do \
+        bn=$$(basename $$f); \
+        n=$$(/usr/bin/find \
+            /usr/lib/afni /usr/share/afni /usr/include/afni /usr/include/nifti \
+            -name $$bn -type f | wc -l); \
+        [ $$n -eq 1 ] || echo "Found $$n for $$bn from $$f"; \
+    done

=== debian/watch ===
version=3

opts="dversionmangle=s/\~dfsg\.\d+$//,uversionmangle=s/_//g;s/^/0./"  \
  http://afni.nimh.nih.gov/pub/dist/tgz/AFNI_ARCHIVE/AFNI_([\d_]+)_([\d]+)\.tgz

## afni 0.20130815~dfsg.1

=== debian/changelog ===
afni (0.20130815~dfsg.1-1~nd11.04+1) natty; urgency=low

  * Backported for natty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 17 Aug 2013 17:33:30 -0400

afni (0.20130815~dfsg.1-1) neurodebian; urgency=low

  * Fresh upstream snapshot
  * debian/rules -- AFNI_BUILD_WITH_LESSTIF2:BOOL=OFF to actually build
    against Open Motif as we thought we were doing since 2010 ;)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 17 Aug 2013 09:39:38 -0400

afni (0.20130813~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code, mostly compilation fixes

 -- Alex Waite <Alexqw85@gmail.com>  Wed, 14 Aug 2013 10:46:43 +0200

afni (0.20130809~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code; updated CMake. Adds 3dUnifize, 3dNwarpCat,
    3dLocalHistog, 3dNwarpAdjust, 3dNwarpFuncs, 3dTproject, @compute_gcor,
    3dLME, @move.to.series.dirs, @toMNI_Awarp, @toMNI_Qwarpar, @simulate_motion
    HalloSuma, afni_system_check.py, auto_warp.py, 3dROIMaker, 3dMatch,
    3dNetCorr, meicaX.py, optcom.py, optcom_surf.py, t2smap.py, tedanaX.py
  * Patches accepted upstream: up_secure_snprintf

 -- Alex Waite <Alexqw85@gmail.com>  Mon, 12 Aug 2013 18:23:22 +0200

afni (0.20121123~dfsg.1-2) neurodebian; urgency=low

  * Add afni-dbg package to provide debug symbols
  * debian/patches:
    - up_3rd_no_RefreshHTML_AtEvent -- to not even mention
      RefreshHTML from the patched XmHTML
    - up_condition_dset_unload -- avoid dereferencing NULL
    - cmake_sharedlibs:
      - link against lib3DEdge after libSUMA, since otherwise
        binaries do not get linked against it on Ubuntu systems
      - no need to manually extend list of libraries for
        SUMA_Map_SurfacetoSurface since it is added to the
        PROGRAMS and they are all linked against SUMA_LIBS
  * debian/rules:
    - since we --allow-shlib-undefined (because of the plugins)
      added a primitive check for few SUMA commands that they link
      against SUMA and 3DEdge libraries

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 Jun 2013 11:08:09 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>,
            Alex Waite <Alexqw85@gmail.com>
 Build-Depends: cmake (>= 2.6.4), debhelper (>= 7.0.50~),
+               libmotif-dev,
                libnifti1-dev | libnifti-dev,
                libvolpack1-dev | libvolpack-dev,
                libglw1-mesa-dev | libglw-dev,
@@ -18,7 +19,6 @@
                libexpat1-dev | libexpat-dev,
                libf2c2-dev,
                zlib1g-dev,
-               libmotif-dev,
                libxmu-dev,
                libxpm-dev,
                libgsl0-dev,
@@ -48,8 +48,8 @@
  It provides a complete analysis toolchain, including 3D cortical surface
  models, and mapping of volumetric data (SUMA).
  .
- In addition to its own format AFNI understands the NIfTI format and is
- therefore easily usable in combination with FSL and FreeSurfer.
+ In addition to its own format, AFNI understands the NIfTI format and is
+ therefore integrates easily with FSL and FreeSurfer.
 
 
 Package: afni-common
@@ -75,3 +75,15 @@
  .
  This package provides the necessary libraries and header files for AFNI
  plugin development.
+
+
+Package: afni-dbg
+Architecture: any
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Description: debug symbols for AFNI
+ AFNI is an environment for processing and displaying functional MRI data.
+ It provides a complete analysis toolchain, including 3D cortical surface
+ models, and mapping of volumetric data (SUMA).
+ .
+ This package provides debug symbols which could be useful to troubleshoot
+ and report problems with AFNI.

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
     -DAFNI_BUILD_LOCAL_NIFTICLIBS:BOOL=OFF \
     -DAFNI_BUILD_LOCAL_GIFTI:BOOL=OFF \
     -DAFNI_BUILD_LOCAL_3DEDGE3:BOOL=ON \
-    -DAFNI_BUILD_WITH_LESSTIF2:BOOL=ON \
+    -DAFNI_BUILD_WITH_LESSTIF2:BOOL=OFF \
     -DAFNI_INSTALL_BIN_DIR:STRING=/lib/afni/bin \
     -DAFNI_INSTALL_LIB_DIR:STRING=/lib/afni/lib \
     -DAFNI_INSTALL_INCLUDE_DIR:STRING=/include/afni \
@@ -75,6 +75,15 @@
 	dh_auto_build --builddirectory=$(DEB_BUILDDIR)
 	dh_auto_build --builddirectory=$(DEB_BUILDDIR_STATIC)
 
+override_dh_auto_test:
+	: # if any come
+	dh_auto_test --builddirectory=$(DEB_BUILDDIR)
+	dh_auto_test --builddirectory=$(DEB_BUILDDIR_STATIC)
+	: # Just to verify that previous fixes on linking are inplace
+	set -e; for b in 3dSkullStrip SUMA_Map_SurfacetoSurface; do \
+		ldd $(DEB_BUILDDIR)/SUMA/$$b | grep '=>.*lib3DEdge.so'; \
+		ldd $(DEB_BUILDDIR)/SUMA/$$b | grep '=>.*libSUMA.so'; \
+	done
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=$(DEB_BUILDDIR)
@@ -100,6 +109,8 @@
 	# ensure proper permissions for the wrapper
 	chmod +x debian/afni_wrapper
 
+override_dh_strip:
+	dh_strip --dbg-package=afni-dbg
 
 # make orig tarball from repository content
 get-orig-source:

## afni 0.20130830~dfsg.1

=== debian/changelog ===
afni (0.20130830~dfsg.1-1~nd11.10+1) oneiric; urgency=low

  * Backported for oneiric.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 30 Aug 2013 23:55:50 -0400

afni (0.20130830~dfsg.1-1) neurodebian; urgency=low

  * Fresh upstream snapshot: some enhancements and even more holidays to
    celebrate
  * debian/patches:
    - cmake_sharedlibs:
      - include retroicor.c functionality into libmri.so to be shared by
        tools and plugins -- resolves "Failed to open plugin
        /usr/lib/afni/plugins/plug_retroicor.so" upon AFNI startup.
    - cmake_tests:
      - basic test to verify that AFNI starts without reporting any failure

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 30 Aug 2013 18:04:14 -0400

afni (0.20130827~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream snapshot: bulk of fixes and enhancements
  * debian/control
    - add tcsh, libjpeg-progs to build-depends -- needed for testing
      @DO.examples
  * debian/patches/cmake_tests
    - tests/xvfb-driver -- link faces as pics under a temporary test directory
      so that @DO.examples has it available when afni is not yet installed

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 28 Aug 2013 11:24:14 -0400

afni (0.20130821~dfsg.1-1) neurodebian; urgency=low

  * Fresh upstream snapshot
    - bulk of changes for graph datasets support
    - @DO.example could now be used in automated mode without interaction
      with users (-auto_test)
  * debian/control
    - recommend afni-atlases
  * debian/rules
    - explicitly include hardening.make and adjust LDFLAGS and CFLAGS
      instead of relying on "magic" of DEB_BUILD_HARDENING which seems to
      not play with ccache nicely all the times.  Also exclude -fPIE since
      conflicts with -fPIC when gcc < 4.8
  * debian/patches
    - cmake_sharedlibs:
      - do not bother with -D*_STAND_ALONE -- not used by upstream since a while
      - fix building of inspec, quickspec, CreateIcosahedron, MapIcosahedron
      - drop binaries not provided by upstream: SUMA_FreeSurfer,
        SUMA_SureFit, SUMA_Ply_Read, SUMA_Map_SurfacetoSurface, ShowCmap --
        their functionality is within the library and exposed by other binaries
      - add zcross.c functionality to lib3dedge
      - minor typos
    - cmake_tests:
      - initiated collecting rudimentary tests
    - deb_path_to_doexamples:
      - find .do examples on Debian installations among docs
      - exit with code 1 if those could not be found
    - debian_paths:
      - search for images in SUMA_LoadImageNIDOnel under reasonable for images
        locations instead of PATH.  Fixed 'funstuff' paths in demo*.niml.do files.
      - specify path to READMEs to be under /usr/share/doc/afni-common

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Aug 2013 22:05:21 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>,
            Alex Waite <Alexqw85@gmail.com>
 Build-Depends: cmake (>= 2.6.4), debhelper (>= 7.0.50~),
+               hardening-includes,
                libmotif-dev,
                libnifti1-dev | libnifti-dev,
                libvolpack1-dev | libvolpack-dev,
@@ -29,7 +30,9 @@
                x11proto-print-dev,
                matlab-support-dev,
                xmhtml1-dev | xmhtml-dev,
-               r-base-core
+               r-base-core,
+               xvfb, xauth, libgl1-mesa-dri,
+               tcsh, libjpeg-progs,
 Standards-Version: 3.9.4
 Homepage: http://afni.nimh.nih.gov
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/afni.git
@@ -54,7 +57,7 @@
 
 Package: afni-common
 Architecture: all
-Depends: neurodebian-popularity-contest, python, tcsh,
+Depends: neurodebian-popularity-contest, python, tcsh, afni-atlases,
          ${shlibs:Depends}, ${misc:Depends}
 Recommends: python-mdp, python-nibabel
 Description: miscellaneous scripts and data files for AFNI

=== debian/rules ===
--- 
+++ 
@@ -8,18 +8,32 @@
 gitver = $(shell [ -x /usr/bin/git ] && git log -n 1 --oneline $$(git merge-base -a HEAD upstream) | cut -d ' ' -f '4,4')
 
 # Enable hardening on systems which support it
-export DEB_BUILD_HARDENING=1
+# yoh: do not use hardening magic in cc/ld -- leads to spurious
+#      problems if building e.g. via ccache, and logs do not show
+#      then 'effective' set of options used to build any particular
+#      binary
+# export DEB_BUILD_HARDENING=1
+#
+# instead explicitly add those flags if provided
+-include /usr/share/hardening-includes/hardening.make
 
 # get install locations for matlab packages
 include /usr/share/matlab/debian/defs.make
 
+# filter-out below are to get a set of uniq (not already listed)
+# options to avoid cmdline clutter.  -fPIE -pie are manually filtered out
+# to prevent FTBFS on wheezy/jessie with gcc 4.7 which can't handle having
+# both -fPIE and -fPIC added by cmake
+#
 # TODO plugins do not handle this well
-LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--allow-shlib-undefined
+DPKGLDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--allow-shlib-undefined
+LDFLAGS = $(filter-out $(DPKGLDFLAGS) -fPIE -pie, $(HARDENING_LDFLAGS)) $(DPKGLDFLAGS)
 export LDFLAGS
 
 # need to do it after inclusion of cmake class to get the flag
 # appended after -Wall
-CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wno-unused
+DPKGCFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wno-unused
+CFLAGS = $(filter-out $(DPKGCFLAGS) -fPIE, $(HARDENING_CFLAGS)) $(DPKGCFLAGS)
 export CFLAGS
 
 # what are we doing this for
@@ -28,6 +42,9 @@
 DEB_BUILDDIR = "build-$(DEB_BUILD_GNU_TYPE)"
 # where to build the static corelibs
 DEB_BUILDDIR_STATIC = "build-$(DEB_BUILD_GNU_TYPE)-static"
+
+# Provide details on tests which fail
+export CTEST_OUTPUT_ON_FAILURE=1
 
 DEB_CMAKE_EXTRA_FLAGS = \
     -DAFNI_SHOWOFF:STRING="=Debian-$(DEB_BUILD_GNU_TYPE)" \
@@ -41,6 +58,7 @@
     -DAFNI_BUILD_LOCAL_GIFTI:BOOL=OFF \
     -DAFNI_BUILD_LOCAL_3DEDGE3:BOOL=ON \
     -DAFNI_BUILD_WITH_LESSTIF2:BOOL=OFF \
+    -DAFNI_BUILD_TESTS:BOOL=ON \
     -DAFNI_INSTALL_BIN_DIR:STRING=/lib/afni/bin \
     -DAFNI_INSTALL_LIB_DIR:STRING=/lib/afni/lib \
     -DAFNI_INSTALL_INCLUDE_DIR:STRING=/include/afni \
@@ -55,7 +73,6 @@
 %:
 	dh $@ --buildsystem=cmake
 
-
 override_dh_auto_configure:
 	# check whether something changed in the matlab install locations
 	# in which case we'd have to adjust debhelper's .install files
@@ -69,6 +86,8 @@
       $(DEB_CMAKE_EXTRA_FLAGS) \
       -DBUILD_SHARED_LIBS:BOOL=OFF \
       -DAFNI_BUILD_CORELIBS_ONLY:BOOL=ON
+	# Make xvfb-driver for tests executable since it comes from a patch
+	chmod +x tests/xvfb-driver
 
 
 override_dh_auto_build:
@@ -76,11 +95,11 @@
 	dh_auto_build --builddirectory=$(DEB_BUILDDIR_STATIC)
 
 override_dh_auto_test:
-	: # if any come
-	dh_auto_test --builddirectory=$(DEB_BUILDDIR)
-	dh_auto_test --builddirectory=$(DEB_BUILDDIR_STATIC)
+	: # if any come - but ignore failures for now -- need test data files + absent Error msg for DO.example
+	dh_auto_test --builddirectory=$(DEB_BUILDDIR) || :
+	dh_auto_test --builddirectory=$(DEB_BUILDDIR_STATIC) || :
 	: # Just to verify that previous fixes on linking are inplace
-	set -e; for b in 3dSkullStrip SUMA_Map_SurfacetoSurface; do \
+	set -e; for b in 3dSkullStrip; do \
 		ldd $(DEB_BUILDDIR)/SUMA/$$b | grep '=>.*lib3DEdge.so'; \
 		ldd $(DEB_BUILDDIR)/SUMA/$$b | grep '=>.*libSUMA.so'; \
 	done
@@ -128,9 +147,12 @@
 # under different names (e.g. R_io.so -> librio.so)
 test-missing:
 	@cat ../linux_openmp_64.filelist \
-    | grep -v -e README -e '\.a$$' -e 'meica\.libs' -e 'index.html.2012' \
+    | grep -v \
+      -e README -e '\.a$$' -e 'meica\.libs' -e 'index.html.201' \
+      -e OLD_AFNI \
       -e '^\./\(demo.*\.niml\.do\|qhull\|rbox\|qdelaunay\|[cd]jpeg\|nifti1_test\|nifti_\(tool\|stats\)\|gifti_tool\|mpeg_encode\)$$' \
       -e '^\./\(plug_3dsvm.so\|3dsvm\)$$' \
+      -e '^\./.*\.\(pyc\|a\)$$' \
       -e '^\./volpack\.h$$' -e 'AFNI\.....rc' \
       -e '^\./R_io.so$$' \
     | while read f; do \

## afni 0.20140612~dfsg.1

=== rickr/Makefile ===

IMON_OBJS  = l_mcw_glob.o realtime.o

WARN_OPT = 


clean:
	$(RM) *.o

file_tool: file_tool.o file_tool.h fields.o fields.h
	$(RM) $@
	$(CC) -o file_tool file_tool.o fields.o ../ge4_header.o -lm

Imon: Imon.o $(IMON_OBJS) Imon.h realtime.h
	$(RM) $@
	$(CC) -o Imon Imon.o $(IMON_OBJS) ../thd_iochan.o $(LFLAGS) -L.. -lm $(EXTRA_LIBS_2)

Dimon: Dimon.o realtime.o
	$(RM) $@
	$(CC) -o Dimon Dimon.o realtime.o $(LFLAGS) -L.. $(EXTRA_LIBS_2) -lmri -lf2c -lXt $(LGIFTI) -lz -lm

serial_helper: serial_helper.o
	$(RM) $@
	$(CC) -o serial_helper serial_helper.o -L.. -lm $(EXTRA_LIBS_2)

# ----------------------------------------------------------------------
# local Imon objects need mcw_glob, but without MCW_MALLOC

Imon.o: Imon.c Imon.h
	$(RM) $@
	$(CC) $(WARN_OPT)  -c Imon.c -I.. $(IFLAGS)

Dimon.o: Dimon.c Imon.h
	$(RM) $@
	$(CC) $(WARN_OPT)  -c Dimon.c -I.. $(IFLAGS)

# no longer needed, but let's make sure...
dimon_afni.o: dimon_afni.c ../mri_image.h
	$(RM) $@
	$(CC) $(WARN_OPT)  -c dimon_afni.c -I.. $(IFLAGS)

l_mcw_glob.o: l_mcw_glob.c l_mcw_glob.h
	$(RM) $@
	$(CC) $(WARN_OPT)  -c l_mcw_glob.c -I.. $(IFLAGS)

mri_dicom_hdr.o: ../mri_dicom_hdr.c
	$(RM) $@
	$(CC) $(WARN_OPT)  -DFOR_DIMON -c ../mri_dicom_hdr.c -I.. $(IFLAGS)

realtime.o: realtime.c realtime.h
	$(RM) $@
	$(CC) $(WARN_OPT)  -c realtime.c -I.. $(IFLAGS)
# -------------- end local Imon objects --------------------------------

.c.o:
	$(RM) $@
	$(CC) $(WARN_OPT) -c $*.c -I.. $(IFLAGS)

=== SUMA/PLY/Makefile ===
clean:
	$(RM) *.o *.a
   
objs:
	$(CC) ${CCOPT} ${WARNOPT} -I./ -c plyfile.c
	$(CC) ${CCOPT} ${WARNOPT} -I./ -c obj_io.c
   
libply.a:  objs
	ar q $@ plyfile.o obj_io.o
	$(RANLIB) $@
   
plytest: 
	cc -I./ -o plytest plytest.c libply.a

=== debian/changelog ===
afni (0.20140612~dfsg.1-1~nd12.10+1) quantal; urgency=low

  * Backported for quantal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 16 Jun 2014 17:27:03 -0400

afni (0.20140612~dfsg.1-1) neurodebian; urgency=low

  * New upstream code.
    - New programs: afni_open, 3dConformist, 3dTORTOISEtoHere, 3dEigsToDT,
      3dDTtoNoisyDWI
    - 3dProbTrackID is officially deprecated (but still shipped)
    - New scripts: @afni.run.me, 3dRprogDemo
    - New Python scripts gen_ss_review_table.py
    - 9 new faces and 52 new quotes
    - run afni_history for a more detailed account of upstream changes
  * Updated CMake build system.
  * debian/patches
    - up_char_cast was successfully upstreamed
    - up_meica_fixes was a problematic patch to update. Might not be 100%.

 -- Alex Waite <Alexqw85@gmail.com>  Thu, 05 Jun 2014 13:48:03 +0200

afni (0.20140227~dfsg.1-1) neurodebian; urgency=low

  * New upstream code. Updated CMake build system.

 -- Alex Waite <Alexqw85@gmail.com>  Fri, 28 Feb 2014 13:20:33 +0200

afni (0.20131204~dfsg.1-2) neurodebian; urgency=low

  * Prune any @update.afni.* script (e.g. @update.afni.binaries) from
    installation so it doesn't interfer with packaged installation

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 05 Dec 2013 16:48:02 -0500

afni (0.20131204~dfsg.1-1) neurodebian; urgency=low

  [ Andreas Tille ]
  * Perspective team upload (for now no upload to Debian proper)
  * debian/upstream: Add citation information from Debian Science task
    neuroscience-cognitive

  [ Yaroslav Halchenko ]
  * Fresh upstream snapshot
  * debian/patches
    - updated for new locations
    - up_char_cast (forwared upstream) to avoid FTBFS with
      -Werror=format-security
    - cmake_tests - ignore freshly introduced errors/failures to determine
      window position (irrelevant for this stage of testing)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 05 Dec 2013 16:48:01 -0500

afni (0.20130912~dfsg.1-3) neurodebian; urgency=low

  * debian/patches
    - cmake_sharedlibs - enable gifti support (-DGIFTI) and link libmri
      against it (Closes Nick#D902704B-139A-450D-91DC-A7AFBF78FC5A@gmail.com)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Nov 2013 20:58:28 -0500

afni (0.20130912~dfsg.1-2) neurodebian; urgency=low

  * debian/rules
    - disable -D_FORTIFY_SOURCE=2 until upstream resolves code with undefined
      sprintf behavior
      (http://afni.nimh.nih.gov/afni/community/board/read.php?1,142574,142574#msg-142574)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Sep 2013 22:42:55 -0400

afni (0.20130912~dfsg.1-1) neurodebian; urgency=low

  * Fresh upstream snapshot
  * debian/patches
    - deb_path_to_doexamples - removed (upstream now)
    - cmake_sharedlibs - add model_conv_cosine4
    - debian_paths - refreshed
    - cmake_tests - SUMA should not spit our errors now, thus
      make do.examples test more stringent

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Sep 2013 10:04:55 -0400

afni (0.20130903~dfsg.1-1) neurodebian; urgency=low

  * Fresh upstream snapshot
  * debian/patches
    - cmake_tests
  	  - switch to have 'up to' specified # of "Error" and "Failed to "
        messages.  Should "fix" build on i686 13.04 build where no SUMA error
        gets reported upon exit

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 06 Sep 2013 08:29:02 -0400

afni (0.20130830~dfsg.1-3) neurodebian; urgency=low

  * debian/control
    - afni-atlases should be in Recommends not Depends
  * debian/patches
    - cmake_sharedlibs
      - MOTIF library (libXm) must be linked before other X libraries (Xt
        in particular).  Therefore placing it first among
        TARGET_LINK_LIBRARIES and disabling --as-needed for this linkage while
        (re)enabling it right after

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Sep 2013 09:16:08 -0400

afni (0.20130830~dfsg.1-2) UNRELEASED; urgency=low

  * debian/patches:
    - cmake_sharedlibs
      - add SUMA_gts_insert.c to libSUMAGTS and link SurfMesh against it
      - absorb librickr into libmri -- upstream dropped separate librickr
        as of 0.20080129~dfsg.1.
      - absorb libafni_warp into libmri -- upstream does "the same" and
        if split -- there is a circular dependency between afni_warp and
        mri forbidding robust building/linking
      - link lib3DEdge against m, and segtools and tracktools against mri
      - make SEGTOOLS_LIBS list only segtools
      - enforce --no-as-needed ld flag while building segtools due to libgsl
        not linking against libgslcblas thus failing to build with --as-needed
        which is defauilt on Ubuntus
    - cmake_tests
      - disable 3dedge test requiring data (waiting on upstream)
      - xvfb-driver -- allow to specify # of errors expected, so we
        could already test @DO.examples which should have 1 error
        on exit
  * debian/rules:
    - remove explicit -Wl,--allow-shlib-undefined which was introduced
      awaiting for a fix to #624156 long RIP.
    - add -Wl,--no-undefined for exe and shared linker flags
    - do not ignore tests failures

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 03 Sep 2013 13:12:23 -0400

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                matlab-support-dev,
                xmhtml1-dev | xmhtml-dev,
                r-base-core,
-               xvfb, xauth, libgl1-mesa-dri,
+               xvfb, xauth, libgl1-mesa-dri, mesa-utils,
                tcsh, libjpeg-progs,
 Standards-Version: 3.9.4
 Homepage: http://afni.nimh.nih.gov
@@ -57,9 +57,10 @@
 
 Package: afni-common
 Architecture: all
-Depends: neurodebian-popularity-contest, python, tcsh, afni-atlases,
+Depends: neurodebian-popularity-contest, python, tcsh,
          ${shlibs:Depends}, ${misc:Depends}
-Recommends: python-mdp, python-nibabel
+Recommends: python-mdp, python-nibabel,
+         afni-atlases,
 Description: miscellaneous scripts and data files for AFNI
  AFNI is an environment for processing and displaying functional MRI data.
  It provides a complete analysis toolchain, including 3D cortical surface

## afni 0.20140908~dfsg.1

=== eispack/Makefile ===
# Unix Makefile for eispack

.c.o:
	$(CC) -c $<

eis_svd_slow.o:
	$(CCSVD) -DFUNCNAME=svd_slow_ -c eis_svd.c
	mv -f eis_svd.o eis_svd_slow.o

EIS_OBJS = eis_bakvec.o eis_balanc.o eis_balbak.o eis_bandr.o              \
           eis_bandv.o eis_bisect.o eis_bqr.o eis_cbabk2.o eis_cbal.o      \
           eis_cdiv.o eis_cg.o eis_ch.o eis_cinvit.o eis_combak.o          \
           eis_comhes.o eis_comlr.o eis_comlr2.o eis_comqr.o eis_comqr2.o  \
           eis_cortb.o eis_corth.o eis_csroot.o eis_elmbak.o eis_elmhes.o  \
           eis_eltran.o eis_epslon.o eis_figi.o eis_figi2.o eis_hqr.o      \
           eis_hqr2.o eis_htrib3.o eis_htribk.o eis_htrid3.o eis_htridi.o  \
           eis_imtql1.o eis_imtql2.o eis_imtqlv.o eis_invit.o eis_minfit.o \
           eis_ortbak.o eis_orthes.o eis_ortran.o eis_pythag.o eis_qzhes.o \
           eis_qzit.o eis_qzval.o eis_qzvec.o eis_ratqr.o eis_rebak.o      \
           eis_rebakb.o eis_reduc.o eis_reduc2.o eis_rg.o eis_rgg.o        \
           eis_rs.o eis_rsb.o eis_rsg.o eis_rsgab.o eis_rsgba.o            \
           eis_rsm.o eis_rsp.o eis_rst.o eis_rt.o eis_svd_slow.o eis_svd.o \
           eis_tinvit.o eis_tql1.o eis_tql2.o eis_tqlrat.o eis_trbak1.o    \
           eis_trbak3.o eis_tred1.o eis_tred2.o eis_tred3.o                \
           eis_tridib.o eis_tsturm.o

all:$(EIS_OBJS)

clean:
	$(RM) *.o

=== rickr/Makefile ===
--- 
+++ 
@@ -19,6 +19,10 @@
 	$(RM) $@
 	$(CC) -o Dimon Dimon.o realtime.o $(LFLAGS) -L.. $(EXTRA_LIBS_2) -lmri -lf2c -lXt $(LGIFTI) -lz -lm
 
+Dimon1: Dimon1.o realtime1.o
+	$(RM) $@
+	$(CC) -o Dimon1 Dimon1.o realtime1.o $(LFLAGS) -L.. $(EXTRA_LIBS_2) -lmri -lf2c -lXt $(LGIFTI) -lz -lm
+
 serial_helper: serial_helper.o
 	$(RM) $@
 	$(CC) -o serial_helper serial_helper.o -L.. -lm $(EXTRA_LIBS_2)
@@ -30,9 +34,13 @@
 	$(RM) $@
 	$(CC) $(WARN_OPT)  -c Imon.c -I.. $(IFLAGS)
 
-Dimon.o: Dimon.c Imon.h
+Dimon.o: Dimon.c Dimon.h
 	$(RM) $@
 	$(CC) $(WARN_OPT)  -c Dimon.c -I.. $(IFLAGS)
+
+Dimon1.o: Dimon1.c Imon.h
+	$(RM) $@
+	$(CC) $(WARN_OPT)  -c Dimon1.c -I.. $(IFLAGS)
 
 # no longer needed, but let's make sure...
 dimon_afni.o: dimon_afni.c ../mri_image.h
@@ -50,6 +58,11 @@
 realtime.o: realtime.c realtime.h
 	$(RM) $@
 	$(CC) $(WARN_OPT)  -c realtime.c -I.. $(IFLAGS)
+
+realtime1.o: realtime1.c realtime.h
+	$(RM) $@
+	$(CC) $(WARN_OPT)  -c realtime1.c -I.. $(IFLAGS)
+
 # -------------- end local Imon objects --------------------------------
 
 .c.o:

=== debian/changelog ===
afni (0.20140908~dfsg.1-1~nd13.04+1) raring; urgency=low

  * Backported for raring.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 08 Sep 2014 19:43:59 -0400

afni (0.20140908~dfsg.1-1) neurodebian; urgency=medium

  * New upstream code
  * debian/patches
    - removed up_meica_fixes from the series (conflicts, and anyways previous
      version was not working)
    - debian_paths -- updated for now a function get_env_atlas_path allowing
      for paths to AFNI atlases being overriden via AFNI_ATLAS_PATH, and
      otherwise using default path on Debian systems (/usr/share/afni/atlases)
    - cmake_sharedlibs, ffmpeg_support, up_3dNetCorrFix,
      up_condition_dset_unload -- refreshed, with some conflicts resolved
    - cmake_sharedlibs
      - updated for changes in upstream build infrastructure
      - removed meicaX.py

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 08 Sep 2014 11:59:31 -0400
